Windows installer doesn't warn user if it can't create directories
Status: Closed

Priority: Low

Assignee: nobody -

Category: Windows Package

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 12515

Description

Current version of QGIS Windows installer (1.4.0 standalone) gives no warning to user if user has no write permission to selected

installation folder. I.e. when installer is running as user (not admin) and destination is "Program FileZ" or other ro folder.

Correct solution would be something like this pseudocode (I have no idea how installer works): "mkdir $foo; if $? <> 0 { echo 'You have no

permission. Try to run as admin!'; exit 1; }"

See related #1766

History

#1 - 2010-02-21 07:22 AM - Giovanni Manghi

is this just a Vista/Seven problem or does affect also XP?

#2 - 2011-12-16 01:57 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-04-16 06:23 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#4 - 2012-09-04 12:02 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#5 - 2014-06-28 07:37 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#6 - 2014-06-29 06:45 AM - Jürgen Fischer

- Category changed from Build/Install to Windows Package

#7 - 2017-05-01 12:58 AM - Giovanni Manghi

- Pull Request or Patch supplied set to No

- Regression? set to No

- Easy fix? set to No

#8 - 2018-09-24 02:52 AM - Jürgen Fischer

- Status changed from Open to Closed
- Description updated

- Resolution set to fixed/implemented

The install meanwhile requires admin privileges.
